web-dev-qa-db-de.com

Xcode 9 - kein iOS 11 Simulator

Wenn ich den neuen Xcode 9 öffne und zu Preferences > Components Gehe, wird keine Option zum Herunterladen von iOS 11-Simulatoren angezeigt. Ich bin zu 100% sicher, dass ich die neueste Xcode 9 Beta 4 habe No iOS 11 sims :(

Ich habe einige Nachforschungen angestellt und festgestellt, dass Xcode einen Index herunterlädt, um festzustellen, was es herunterladen kann. Für mich war das: https://devimages-cdn.Apple.com/downloads/xcode/simulators/index-9.0.0-CA351AD8-3176-41CB-875C-42A05C7CDEC7.dvtdownloadableindex

Grundsätzlich kann man es für jede Xcode-Version verwenden, indem man das DTXcoce ermittelt:
defaults read /Applications/Xcode-beta.app/Contents/Info DTXcode.
Ein Ergebnis wie 0900 Muss in 9.0.0 Konvertiert werden

Und die DVTPlugInCompatibilityUUID:
defaults read /Applications/Xcode-beta.app/Contents/Info DVTPlugInCompatibilityUUID

Dann downloaden Sie: https://devimages-cdn.Apple.com/downloads/xcode/simulators/index-<the DTXcode>-<the UUID>.dvtdownloadableindex.

Und zum Schluss, um es öffnen zu können: plutil -convert xml1 <the downloaded .dvtdownloadableindex file>

Kann jemand überprüfen, ob ich den richtigen dvtdownloadableindex habe? Oder geben Sie eine URL zur richtigen Version an? Ansonsten hoffe ich, dass jemand die URL für das gesamte Simulatorpaket bereitstellen kann, indem er den Simulator herunterlädt und abbricht, während er in console.app Nachschaut, wie in dieser Artikel

15
MegaCookie

Ich scheine ziemlich dumm zu sein und zu viel Zeit als nötig zu verschwenden.
Die neuen iOS 11-Simulatoren waren bereits im neuen Xcode enthalten (werden jedoch in den Einstellungen von Xcode nicht angezeigt). Sie können einfach den Simulator öffnen (/Applications/Xcode.app/Contents/Developer/Applications/Simulator.app) und wählen Sie ein iOS 11-Gerät in der Hardware > Device Menüleiste.

Xcode.app kann sein Xcode-beta.app auch.

16
MegaCookie

In Xcode Version 9.0 Beta 5 (9M202q)

Im Menü Fenster> Geräte und Simulatoren

  1. Klicken Sie auf die Schaltfläche + in der unteren linken Ecke
  2. Wähle "Gerätetyp": "iPhone SE"
  3. Dann kann 'OS Version': 'iOS 11.0' gewählt werden

enter image description here

Habe Spaß!

13
CGN